Bug 134968 - Anti-aliasing off renders gradient fill with same colors and transparency wrong
Summary: Anti-aliasing off renders gradient fill with same colors and transparency wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: SoftEdgeFallout
  Show dependency treegraph
 
Reported: 2020-07-19 21:45 UTC by Regina Henschel
Modified: 2020-08-20 13:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Color gradient with identical start and stop, transparency gradient (12.53 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-07-19 21:45 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-07-19 21:45:19 UTC
Created attachment 163290 [details]
Color gradient with identical start and stop, transparency gradient

Open attached document. It contains an ellipse with a color gradient with identical color on start and stop, but different transparency.

If you set anti-aliasing off, the ellipse is rendered full transparent. If you switch anti-aliasing on, the ellipse shows the transparency gradient correctly. Show mode is always correct.

Tested with Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Vulkan; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-07-20 15:16:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d5a995c0296df61cd6c9341779bccbf8989ecc75

author	Mike Kaganski <mike.kaganski@collabora.com>	2020-05-14 14:42:24 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2020-05-29 06:25:05 +0200
commit	d5a995c0296df61cd6c9341779bccbf8989ecc75 (patch)
tree	8c5e2a35576ee11ccdc96fb46739ceabd4c01e80
parent	425125e31f9053e0e4895fb13e1e267ec5d26487 (diff)
Use buffer with alpha in VclProcessor2D::RenderTransparencePrimitive2D

Bisected with: bibisect-linux64-7.1

Adding Cc: to Mike Kaganski
Comment 2 Mike Kaganski 2020-08-13 23:06:40 UTC
https://gerrit.libreoffice.org/c/core/+/100711
Comment 3 Mike Kaganski 2020-08-14 00:26:12 UTC
Fixed by https://git.libreoffice.org/core/+/18fd4437077f1e51ae54cfd1a160866cca015c2d%5E%21 (for some reason, the notification is missing).
Comment 4 Commit Notification 2020-08-14 13:31:09 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/76b93688505c0ab2b0e1876d5461a36d8ea22414

tdf#134968: don't forget to draw on mpAlphaVDev in fallback case

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-08-20 13:45:54 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-1":

https://git.libreoffice.org/core/commit/597a095ecb0cf74c613ec2ee19ec253b9fdf9c0d

tdf#134968: don't forget to draw on mpAlphaVDev in fallback case

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.